Bug 167169 - packages.list_changelog fails for some packages.
packages.list_changelog fails for some packages.
Status: CLOSED WONTFIX
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other (Show other bugs)
RHN Stable
All Linux
medium Severity low
: ---
: ---
Assigned To: Todd Sanders
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-31 05:54 EDT by Pierre Amadio
Modified: 2008-10-16 09:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 09:55:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
testcase showing a working package and a faulty one (498 bytes, text/plain)
2005-08-31 06:02 EDT, Pierre Amadio
no flags Details

  None (edit)
Description Pierre Amadio 2005-08-31 05:54:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
When trying to fetch changelogs for some packages, it fails with a xml error:

see for example package 313163 :


Traceback (most recent call last):
  File "./test.py", line 18, in ?
    test=server.packages.list_changelog(session,i)
  File "/usr/lib/python2.2/xmlrpclib.py", line 821, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.2/xmlrpclib.py", line 975, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.2/xmlrpclib.py", line 853, in request
    return self.parse_response(h.getfile())
  File "/usr/lib/python2.2/xmlrpclib.py", line 891, in parse_response
    p.feed(response)
  File "/usr/lib/python2.2/xmlrpclib.py", line 390, in feed
    self._parser.Parse(data, 0)
xml.parsers.expat.ExpatError: not well-formed (invalid token): line 261, column 67


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.use packages.list_changelog for some packages


Actual Results:  python traceback

Expected Results:  a changelog being fetch

Additional info:
Comment 1 Pierre Amadio 2005-08-31 06:02:28 EDT
Created attachment 118288 [details]
testcase showing a working package and a faulty one

testcase showing a working package and a faulty one
Comment 2 Mihai Ibanescu 2005-09-14 10:30:49 EDT
Probably weird character in a changelog entry.
Comment 3 Pierre Amadio 2006-07-27 06:57:58 EDT
Looks like this has been fixed with rhn 410.
Comment 4 Brandon Perkins 2007-03-12 12:54:14 EDT
Move to Bugzilla Bug 218517: RHN 510 Hosted Triage Tracker.
Comment 5 Red Hat Bugzilla 2007-05-03 01:36:27 EDT
User wregglej@redhat.com's account has been closed
Comment 6 Amanda Carter 2008-10-16 09:55:18 EDT
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.

Note You need to log in before you can comment on or make changes to this bug.